﻿@model IEnumerable<Product>

<div class="row pb-3">
    <div class="col-10 offset-1">

        <div class="row">
        @foreach (var product in Model)
        {
            

             <div class="col-lg-3 col-md-6 ">
                 <div class=" p-1" style="border:1px solid #008cba; border-radius: 5px;">
                      <div class="card">
                            <img src="@product.ImageUrl" class="card-img-top rounded" />

                            <div class="card-body">
                                <div>
                                    <p class="card-title h5 text-primary">@product.Title</p>
                                    <p class="card-title text-info">by <b>@product.Author</b></p>
                                </div>
                                <div>
                                    <p>List Price: <strike><b>$@product.ListPrice.ToString("0.00")</b></strike></p>
                                </div>
                                <div>
                                    <p>As low as: <b>$@product.Price100.ToString("0.00")</b></p>
                                </div>
                            </div>
                        </div>
                        <div>
                            <a asp-action="Details" class="btn btn-primary form-control" asp-route-productId="@product.Id">
                                Details
                            </a>
                        </div>
                    </div>
                </div>

            

        }
        </div>
    </div>
</div>